Gyoto::FitsRW Class Reference
Inheritance diagram for Gyoto::FitsRW:

## Public Member Functions

| FitsRW ()
| Constructor.
| FitsRW (const FitsRW &)
| Copy constructor.
virtual FitsRW * | clone () const
virtual | ~FitsRW ()
| Destructor.
void | numin (double numn)
double | numin () const
void | numax (double numx)
double | numax () const
void | nnu (size_t nn)
size_t | nnu () const
void | tmin (double tmn)
double | tmin () const
void | tmax (double tmx)
double | tmax () const
void | nt (size_t nn)
size_t | nt () const
void | dt (double dd)
double | dt () const
fitsfile * | fitsCreate (std::string filename)
| Creates a FITS file with dummy primary HDU.
void | fitsClose (fitsfile *fptr)
| Closes a fits file referred to by a fitsfile pointer.
void | fitsWriteHDU (fitsfile *fptr, std::string extname, double *src)
| Writes specific HDU in FITS files.
void | fitsWriteParams (fitsfile *fptr, double n_e, double theta, double kappa, double BB, double t_inj)
virtual std::vector< size_t > | fitsReadHDU (fitsfile *fptr, std::string extname, double *&dest)
void | getIndices (size_t i[2], double const nu, double const tt, double *const freq_array) const
double | interpolate (double nu, double tt, double *const array, double *const freq_array) const

## Private Attributes

size_t | nnu_
double | numin_
double | numax_
size_t | nt_
double | dt_
double | tmin_
double | tmax_

## Member Function Documentation

## fitsClose()

void Gyoto::FitsRW::fitsClose | ( | fitsfile * | fptr | ) |

Closes a fits file referred to by a fitsfile pointer.

Parameters

  fptr | fitsfile pointer to FITS file to be closed

## fitsCreate()

fitsfile * Gyoto::FitsRW::fitsCreate | ( | std::string | filename | ) |

Creates a FITS file with dummy primary HDU.

Opens a new fits file referred to by a fitsfile pointer and fills the primary HDU by a single pixel equal to 0. Returns the fitsfile pointer to the new FITS file.

Parameters

  filename | Name of fits file to be created

## fitsWriteHDU()

void Gyoto::FitsRW::fitsWriteHDU | ( | fitsfile * | fptr,
|  | std::string | extname,
|  | double * | src )

Writes specific HDU in FITS files.

Parameters

  fptr | fitsfile pointer to FITS file
  extname | Name of extension to be written
  src | Data to be written in extension

\Brief Data has shape {nnu_,nt_}

The documentation for this class was generated from the following file:

- GyotoFitsRW.h